Public Class DocumentsTile
    Private player17 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Dim ex As New explorer
        ex.Show()
    End Sub


    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            docst.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim documentstileTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler documentstileTimer.Tick, AddressOf documentstileTimer_Tick
        documentstileTimer.Interval = New TimeSpan(0, 0, 1)
        documentstileTimer.Start()

        'documentstile.Opacity = 100

    End Sub


    Private Sub documentstileTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            docst.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub PlayAccentSound()
        Try
            player17.Volume = 1.0
            player17.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player17.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
